<ng-container *transloco="let t">
  <mat-form-field class="manga-sort-filter dense-5" subscriptSizing="dynamic">
    <mat-select
      (blur)="cva.markAsTouched()"
      (selectionChange)="cva.value = $event.value"
      [compareWith]="sortValueComparator"
      [disabled]="cva.disabled$()"
      [placeholder]="t('COMPONENTS.MANGA_SORT_FILTER.ANY_PLACEHOLDER')"
      [value]="cva.value$()"
    >
      <mat-option [value]="null">
        {{ t('COMPONENTS.MANGA_SORT_FILTER.SORT_VALUES.NONE') }}
      </mat-option>

      @for (value of sortValues; track value) {
      <mat-option [value]="value">
        <span>{{
          t(
            'COMPONENTS.MANGA_SORT_FILTER.SORT_VALUES.' +
              value.field +
              '_' +
              value.direction
          )
        }}</span>
      </mat-option>
      }
    </mat-select>
  </mat-form-field>
</ng-container>
